<?
// путевой лист
// исходник путевого листа  - protokol_trezvosti.jpg
// размер рисунка должен быть 21x28 см и разрешение 100dpi, что  составит 827x1114px

function protokol_trezvosti($options=array())
{   global $aspmo_system,$member ;

    include_once(_DIR_TO_ENGINE.'/admin/i_img_working.php') ;
    list($source,$type) = open_image(_DIR_EXT.'/aspmo_reports/protokol_trezvosti.jpg') ;

    $personal_rec=PERSONAL()->get_personal_by_id($_GET['id']) ;

    imagefttext($source,13,0,286,275,hexdec(0),_DIR_TO_ROOT.'/docs/DejaVuSerif.ttf',$personal_rec['obj_name']) ;

    imagefttext($source,13,0,220,302,hexdec(0),_DIR_TO_ROOT.'/docs/DejaVuSerif.ttf',$personal_rec['_org_name'].', '.$personal_rec['_otdel_name'].', '.$personal_rec['_work_name']) ;

    imagefttext($source,13,0,337,1072,hexdec(0),_DIR_TO_ROOT.'/docs/DejaVuSerif.ttf',$member->working.' '.$member->name) ;


    if (!$_GET['check']) put_image($source,$type,array()) ;

    ImageDestroy($source);

    return(array())  ;
}

?>